{{ ansible_managed | comment }}
[Unit]
Description=Prometheus Pushgateway
Documentation=https://github.com/prometheus/pushgateway

[Service]
Restart=always
User={{ pushgateway_user }}
Group={{ pushgateway_group }}
ExecStart={{ _pushgateway_paths.bin }}/pushgateway \
    --web.listen-address={{ pushgateway_listen_address }} {{ pushgateway_options }}
ExecReload=/bin/kill -HUP $MAINPID
TimeoutStopSec=20s
SendSIGKILL=no

[Install]
WantedBy=multi-user.target
